Loading...
Searching...
No Matches
osmo_nri_range Struct Reference

One range of NRI values. More...

`#include <gsm23236.h>`

## Data Fields

struct llist_head | entry
int16_t | first
| First value of the NRI range, i.e.
int16_t | last
| Last value of the NRI range, i.e.

## Detailed Description

One range of NRI values.

An NRI is a Network Resource Indicator, a number of a configured bit length (typically 10 bit). In an MSC pool for load balancing, it is used to indicate which MSC has issued a TMSI: the NRI is located with its most significant bit located on the TMSI's second octet's most significant bit. See 3GPP TS 23.236.

## Field Documentation

## entry

struct llist_head osmo_nri_range::entry

Referenced by nri_ranges_add_entry_sorted(), osmo_nri_range_overlaps_ranges(), osmo_nri_ranges_add(), osmo_nri_ranges_del(), osmo_nri_v_limit_by_ranges(), and osmo_nri_v_matches_ranges().

## first

int16_t osmo_nri_range::first

First value of the NRI range, i.e.

inclusive.

Referenced by nri_range_extend(), nri_ranges_add_entry_sorted(), and osmo_nri_ranges_del().

## last

int16_t osmo_nri_range::last

Last value of the NRI range, i.e.

inclusive.

Referenced by nri_range_extend(), and osmo_nri_ranges_del().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm23236.h